%define major 1
%define libname %mklibname gdither %major
%define develname %mklibname gdither -d

Name:           libgdither
Version:        0.6
Release:        %mkrel 1
Summary:        Library for applying dithering to PCM audio sources
Group:          System/Libraries
License:        GPLv2+
URL:            http://plugin.org.uk/libgdither/README
Source0:        http://plugin.org.uk/libgdither/libgdither-%{version}.tar.xz
Patch0:         libgdither-0.6-default.patch
Patch1:         libgdither-0.6-gavl.patch
BuildRequires:  fftw-devel >= 3.0.0

%description
Libgdither is a GPL'd library library for performing audio dithering on 
PCM samples. The dithering process should be carried out before reducing 
the bit width of PCM audio data (eg. float to 16 bit int conversions) to 
preserve audio quality.

%package -n     %libname
Summary:        Library for applying dithering to PCM audio sources
Group:          System/Libraries

%description -n %libname
Libgdither is a GPL'd library library for performing audio dithering on 
PCM samples. The dithering process should be carried out before reducing 
the bit width of PCM audio data (eg. float to 16 bit int conversions) to 
preserve audio quality.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-devel = %{version}-%{release}

%description -n  %develname
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .default
%patch1 -p1 -b .gavl_fix

%build
export INIT_CFLAGS="%optflags"
%make

%install
rm -rf %{buildroot}
%makeinstall_std LIBDIR=%{_libdir}

# (Fedora) don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} ';'

sed -i -e 's|/usr/local|%{_prefix}|g' \
   %{buildroot}%{_libdir}/pkgconfig/libgdither.pc
sed -i -e 's|%{_prefix}/lib|%{_libdir}|' \
  %{buildroot}%{_libdir}/pkgconfig/libgdither.pc

%check
make test CFLAGS="${RPM_OPT_FLAGS} -Werror --std=c99 -I%{_builddir}/%{?buildsubdir}"

%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%doc COPYING README
%{_includedir}/libgdither/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgdither.pc


%changelog
* Mon Aug 18 2014 bb <bb> 0.6-1pclos2014
- import into pclos
